CMSIS-DSP: arm_pid_instance_q15 Struct Reference

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_pid_instance_q15 Struct Reference

Instance structure for the Q15 PID Control.

## Data Fields
q15_t | A0
q15_t | A1
q15_t | A2
q15_t | state [3]
q15_t | Kp
q15_t | Ki
q15_t | Kd

## Field Documentation

q15_t arm_pid_instance_q15::A0

The derived gain, A0 = Kp + Ki + Kd .

Referenced by arm_pid_init_q15(), and arm_pid_q15().

q15_t arm_pid_instance_q15::A1

Referenced by arm_pid_init_q15(), and arm_pid_q15().

q15_t arm_pid_instance_q15::A2

Referenced by arm_pid_init_q15(), and arm_pid_q15().

q15_t arm_pid_instance_q15::Kd

The derivative gain.

Referenced by arm_pid_init_q15().

q15_t arm_pid_instance_q15::Ki

The integral gain.

Referenced by arm_pid_init_q15().

q15_t arm_pid_instance_q15::Kp

The proportional gain.

Referenced by arm_pid_init_q15().

q15_t arm_pid_instance_q15::state[3]

The state array of length 3.

Referenced by arm_pid_init_q15(), arm_pid_q15(), and arm_pid_reset_q15().